package com.apache.cxf.pathparam.service;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.core.Response;

@Path("/player")
public interface IPlayerService {

	// http://localhost:8080/ApacheCXF-PathParam/services/player/welcome/Dravid
	@GET
	@Path("/welcome/{name}")
	public Response welcomePlayer(@PathParam("name") String playerName);

	// http://localhost:8080/ApacheCXF-PathParam/services/player/playerinfo/Sachin/41/200
	@GET
	@Path("playerinfo/{name}/{age}/{matches}")
	public Response getPlayerInfo(
			@PathParam("name") String playerName, 
			@PathParam("age") int age, 
			@PathParam("matches") int matches);
}